%define anolis_release 3
%global atk_version 2.33.3
%global at_spi2_core_version 2.33.2
%global tar_name %%(echo %{name} | tr 'a-z-' 'A-Z_')
%global tar_version %%(echo %{version} | tr '.' '_')

Name:           at-spi2-atk
Version:        2.38.0
Release:        %{anolis_release}%{?dist}
Summary:        A GTK+ module that bridges ATK to D-Bus at-spi


License:        LGPLv2+
URL:            https://github.com/GNOME/at-spi2-atk
Source0:        %{url}/archive/refs/tags/%{tar_name}_%{tar_version}.tar.gz

BuildRequires:  atk-devel >= %{atk_version}
BuildRequires:  at-spi2-core-devel >= %{at_spi2_core_version}
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libxml2-devel
BuildRequires:  meson

Requires:       atk >= %{atk_version}
Requires:       at-spi2-core >= %{at_spi2_core_version}

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        A GTK+ module that bridges ATK to D-Bus at-spi
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package includes the header files for the %{name} library.

%prep
%setup -qn %{name}-%{tar_name}_%{tar_version}

%build
%meson
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/modules
%{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%{_libdir}/libatk-bridge-2.0.so.*
%{abidir}/libatk-bridge.dump
%{abidir}/libatk-bridge-2.0.dump

%files doc
%doc AUTHORS README

%files devel
%{_includedir}/at-spi2-atk/2.0/atk-bridge.h
%{_libdir}/libatk-bridge-2.0.so
%{_libdir}/pkgconfig/atk-bridge-2.0.pc

%changelog
* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.38.0-3
- optimise spec file

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.38.0-2
- add doc package

* Thu Apr 14 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.38.0-1
- Init for anolis os 23
